/**Begin D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_CUSTOMS_CONFIG')
 CREATE TABLE T_BDM_CUSTOMS_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FUNITNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSPECMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPENINVOICETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSPLITREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARKSELECTNAMES NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FREMARKSELECTKEYS NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_CUSTOMS_CONFIG_L')
 CREATE TABLE T_BDM_CUSTOMS_CONFIG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_CUSTOMS_REMARK')
 CREATE TABLE T_BDM_CUSTOMS_REMARK (
FID BIGINT DEFAULT 0 NOT NULL,
FSELECTKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTALIAS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FREMARKID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/